## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 23
%bcond_without check
%global debug_package %{nil}

%global crate prometheus

Name:           rust-prometheus
Version:        0.13.3
Release:        %autorelease
Summary:        Prometheus instrumentation library for Rust applications

License:        Apache-2.0
URL:            https://crates.io/crates/prometheus
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused, benchmark-only criterion dev-dependency to speed up builds
Patch:          prometheus-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Prometheus instrumentation library for Rust applications.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CODE_OF_CONDUCT.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+gen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+gen-devel %{_description}

This package contains library source intended for building other packages which
use the "gen" feature of the "%{crate}" crate.

%files       -n %{name}+gen-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libc-devel %{_description}

This package contains library source intended for building other packages which
use the "libc" feature of the "%{crate}" crate.

%files       -n %{name}+libc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nightly-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nightly-devel %{_description}

This package contains library source intended for building other packages which
use the "nightly" feature of the "%{crate}" crate.

%files       -n %{name}+nightly-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+process-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+process-devel %{_description}

This package contains library source intended for building other packages which
use the "process" feature of the "%{crate}" crate.

%files       -n %{name}+process-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+procfs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+procfs-devel %{_description}

This package contains library source intended for building other packages which
use the "procfs" feature of the "%{crate}" crate.

%files       -n %{name}+procfs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+protobuf-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+protobuf-devel %{_description}

This package contains library source intended for building other packages which
use the "protobuf" feature of the "%{crate}" crate.

%files       -n %{name}+protobuf-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+protobuf-codegen-pure-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+protobuf-codegen-pure-devel %{_description}

This package contains library source intended for building other packages which
use the "protobuf-codegen-pure" feature of the "%{crate}" crate.

%files       -n %{name}+protobuf-codegen-pure-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+push-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+push-devel %{_description}

This package contains library source intended for building other packages which
use the "push" feature of the "%{crate}" crate.

%files       -n %{name}+push-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+reqwest-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+reqwest-devel %{_description}

This package contains library source intended for building other packages which
use the "reqwest" feature of the "%{crate}" crate.

%files       -n %{name}+reqwest-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Feb 17 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.13.3-1
- Update to 0.13.3

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Sep 10 2022 Fabio Valentini <decathorpe@gmail.com> - 0.13.2-1
- Update to version 0.13.2; Fixes RHBZ#2125179

* Thu Aug 11 2022 Fabio Valentini <decathorpe@gmail.com> - 0.13.1-1
- Update to version 0.13.1; Fixes RHBZ#2008409

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri May 21 2021 Fabio Valentini <decathorpe@gmail.com> - 0.12.0-1
- Update to version 0.12.0.
- Fixes RHBZ#1903140

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Sep 30 2020 Dusty Mabe <dusty@dustymabe.com> - 0.10.0-1
- Update to 0.10.0

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun May 17 2020 Robert Fairley <rfairley@redhat.com> - 0.9.0-1
- Update to 0.9.0

* Mon Mar 02 17:12:47 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.8.0-1
- Update to 0.8.0

* Thu Feb 20 17:42:10 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.7.0-4
- Update reqwest/hyper

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jun 20 11:09:00 UTC 2019 Robert Fairley <rfairley@redhat.com> - 0.7.0-1
- Update to 0.7.0 (RHBZ#1722428)

* Tue Jun 18 03:41:45 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.1-3
- Regenerate

* Mon Jun 17 10:50:00 UTC 2019 Robert Fairley <rfairley@redhat.com> - 0.6.1-2
- Update to hyper 0.12 (https://github.com/pingcap/rust-prometheus/pull/249)

* Mon Jun 10 19:00:25 UTC 2019 Robert Fairley <rfairley@redhat.com> - 0.6.1-1
- Initial package (#1717614)

